
/****** Object:  Table [dbo].[dbProjects]    Script Date: 08/08/2011 16:37:00 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[dbProjects](
	[ProjectID] [uniqueidentifier] NOT NULL,
	[ProjectKey] [nvarchar](50) NOT NULL,
	[ProjectName] [nvarchar](50) NULL,
	[ProjectStartTime] [datetime] NULL,
 CONSTRAINT [PK_dbProjects] PRIMARY KEY CLUSTERED 
(
	[ProjectKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[dbTasks]    Script Date: 08/08/2011 16:37:12 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[dbTasks](
	[TaskID] [uniqueidentifier] NOT NULL,
	[ProjectKey] [nvarchar](50) NULL,
	[TaskName] [nvarchar](50) NULL,
	[TaskStartTime] [datetime] NULL,
	[TaskDuration] [time](7) NOT NULL,
	[ParentTaskID] [uniqueidentifier] NULL,
	[TaskPercentComplete] [int] NULL,
	[AllProperties] [varbinary](max) NULL,
 CONSTRAINT [PK_dbTasks] PRIMARY KEY CLUSTERED 
(
	[TaskID] ASC,
	[TaskDuration] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[dbTasks]  WITH NOCHECK ADD  CONSTRAINT [FK_dbTasks_dbProjects] FOREIGN KEY([ProjectKey])
REFERENCES [dbo].[dbProjects] ([ProjectKey])
GO

ALTER TABLE [dbo].[dbTasks] CHECK CONSTRAINT [FK_dbTasks_dbProjects]
GO



INSERT INTO [dbo].[dbProjects]
           ([ProjectID]
           ,[ProjectKey]
           ,[ProjectName]
           ,[ProjectStartTime])
     VALUES
           (
           '3d80934c-e331-436a-9194-d039674337a2',
           'myprojectkey',
           'Project 1',
           '2011-08-06 00:00:00.000'
           )
GO

INSERT INTO [dbo].[dbProjects]
           ([ProjectID]
           ,[ProjectKey]
           ,[ProjectName]
           ,[ProjectStartTime])
     VALUES
           (
           '3d80934c-e331-436a-9194-d039674337a3',
           'myprojectkey2',
           'Project 2',
           '2011-08-07 00:00:00.000'
           )
GO

INSERT INTO [dbo].[dbTasks]
           (
			[TaskID]
           ,[ProjectKey]
           ,[TaskName]
           ,[TaskStartTime]
           ,[TaskDuration]
           ,[ParentTaskID]
           ,[TaskPercentComplete]
           ,[AllProperties]
           )
     VALUES
           (
			'4e7d865e-adca-4570-855a-a83505cd1894',
            'myprojectkey',
            'Task 2',
            '2011-08-06 15:00:00.000',
            '01:20:00',
            NULL,
            10,
            NULL
           )
GO

INSERT INTO [dbo].[dbTasks]
           (
			[TaskID]
           ,[ProjectKey]
           ,[TaskName]
           ,[TaskStartTime]
           ,[TaskDuration]
           ,[ParentTaskID]
           ,[TaskPercentComplete]
           ,[AllProperties]
           )
     VALUES
           (
			'1ba353b7-ff21-409c-9574-a8f43a96ed6e',
            'myprojectkey',
            'Task 1',
            '2011-08-06 00:00:00.000',
            '10:30:00.6655446',
            NULL,
            20,
            NULL
           )
GO


INSERT INTO [dbo].[dbTasks]
           (
			[TaskID]
           ,[ProjectKey]
           ,[TaskName]
           ,[TaskStartTime]
           ,[TaskDuration]
           ,[ParentTaskID]
           ,[TaskPercentComplete]
           ,[AllProperties]
           )
     VALUES
           (
			'1ba353b7-ff21-409c-9574-a8f43a96ed22',
            'myprojectkey2',
            'Task 3',
            '2011-08-06 00:00:00.000',
            '11:15:00',
            NULL,
            20,
            NULL
           )
GO

